package com.unipi.talepis.android2022_6;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;

public class MainActivity extends AppCompatActivity {
    MyTTS myTTS;
    EditText editText;
    FirebaseDatabase database;
    DatabaseReference myRef;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        myTTS = new MyTTS(this);
        editText = findViewById(R.id.editTextTextPersonName);
        database = FirebaseDatabase.getInstance();
        myRef = database.getReference("myMessage");
    }
    public void speak(View view){
        myTTS.speak(editText.getText().toString());
    }
    public void writedb(View view){
        myRef.setValue(editText.getText().toString());
        Toast.makeText(this, "Saved!", Toast.LENGTH_SHORT).show();
    }
}